## grails.doc.ant
Class DocPublisherTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              grails.doc.ant.DocPublisherTask

All Implemented Interfaces:
  groovy.lang.GroovyObject, Cloneable

    public class DocPublisherTask

extends org.apache.tools.ant.Task
implements groovy.lang.GroovyObject

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`DocPublisherTask()`

Method Summary
`protected groovy.lang.MetaClass` `$getStaticMetaClass()`
`void` `execute()`
`groovy.lang.MetaClass` `getMetaClass()`
`Object` `getProperty(String property)`
`DocPublisher` `getPublisher()`
`Object` `invokeMethod(String method, Object arguments)`
`void` `setCssDir(File cssDir)`
`void` `setDest(File dest)`
`void` `setEncoding(String encoding)`
`void` `setImagesDir(File imagesDir)`
`void` `setMetaClass(groovy.lang.MetaClass mc)`
`void` `setProperties(File propsFile)`
`void` `setProperties(Properties props)`
`void` `setProperty(String property, Object value)`
`void` `setPublisher(DocPublisher value)`
`void` `setSrc(File src)`
`void` `setStyleDir(File styleDir)`
`void` `setWorkDir(File workDir)`

Methods inherited from class org.apache.tools.ant.Task
`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DocPublisherTask

    public DocPublisherTask()

Method Detail

### getPublisher

    public DocPublisher getPublisher()

### setPublisher

    public void setPublisher(DocPublisher value)

### setSrc

    public void setSrc(File src)

### setDest

    public void setDest(File dest)

### setEncoding

    public void setEncoding(String encoding)

### setStyleDir

    public void setStyleDir(File styleDir)

### setCssDir

    public void setCssDir(File cssDir)

### setImagesDir

    public void setImagesDir(File imagesDir)

### setWorkDir

    public void setWorkDir(File workDir)

### setProperties

    public void setProperties(File propsFile)

### setProperties

    public void setProperties(Properties props)

### execute

    public void execute()

  Overrides:
    `execute` in class `org.apache.tools.ant.Task`

### $getStaticMetaClass

    protected groovy.lang.MetaClass $getStaticMetaClass()

### getMetaClass

    public groovy.lang.MetaClass getMetaClass()

  Specified by:
    `getMetaClass` in interface `groovy.lang.GroovyObject`

### setMetaClass

    public void setMetaClass(groovy.lang.MetaClass mc)

  Specified by:
    `setMetaClass` in interface `groovy.lang.GroovyObject`

### invokeMethod

    public Object invokeMethod(String method,
                               Object arguments)

  Specified by:
    `invokeMethod` in interface `groovy.lang.GroovyObject`

### getProperty

    public Object getProperty(String property)

  Specified by:
    `getProperty` in interface `groovy.lang.GroovyObject`

### setProperty

    public void setProperty(String property,
                            Object value)

  Specified by:
    `setProperty` in interface `groovy.lang.GroovyObject`

Copyright (c) 2005-2009 The Grails project